Name:           wpebackend
Version:        0.2.0
Release:        1%{?dist}
Summary:        General-purpose library specifically developed for the WPE-flavored port of WebKit.

License:        BSD
URL:            https://github.com/WebPlatformForEmbedded/%{name}
Source0:        https://github.com/WebPlatformForEmbedded/WPEBackend/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mesa-libEGL-devel

%description
General-purpose library specifically developed for the WPE-flavored port of WebKit.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%prep
%autosetup -p1 -n WPEBackend-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
  -DCMAKE_BUILD_TYPE=Release \
  ..
popd

%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

%files
%license COPYING
%doc NEWS
%{_libdir}/libWPEBackend-0.1.so.*

%files devel
%{_includedir}/wpe-0.1/
%{_libdir}/libWPEBackend-0.1.so
%{_libdir}/pkgconfig/wpe-0.1.pc

%changelog
* Fri Jul 13 2018 Chris King <bunnyapocalypse@fedoraproject.org> - 0.2.0-1
- Initial RPM package
